Bug 197581 - writev/readv man pages are not accurate.
writev/readv man pages are not accurate.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: man-pages (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks: 198868 FAST4.5APPROVED
  Show dependency treegraph
 
Reported: 2006-07-04 06:39 EDT by Jose Plans
Modified: 2010-10-22 01:21 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0647
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-14 00:45:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Plans 2006-07-04 06:39:42 EDT
* Following the Bugzilla number : 146238.

  When using readv() and writev(), the return code is not always the one
described on the man page, this has been fixed in FC5 man pages for both vfs
calls. It is true these functions are meant to be wrapped by FS functions
calling these from the VFS layer, but still the man pages should be as accurate
as possible to help understanding the developpers.

Description:
 readv() and writev() does not return EINVAL when count is zero.
 But readv/writev man pages describe as follows:

---
ERRORS
      The  errors are as given for read(2) and write(2).  Additionally
      the following error is defined.

      EINVAL The sum of the iov_len values overflows an ssize_t value.
             Or,  the  vector  count  count  is  zero  or greater than
             IOV_MAX.
---

This should be a problem in readv/writev man pages. Actually, FC5's man page
has been modified:

---
ERRORS
      The  errors  are  as  given for read(2) and write(2).  Additionally the
      following error is defined:

      EINVAL The sum of the iov_len values overflows an  ssize_t  value.  Or,
             the  vector  count  count  is less than zero or greater than the
             permitted maximum.

---

Please change RHEL4 man-pages as well.
Comment 2 Ivana Varekova 2006-07-24 08:33:11 EDT
Easyfix
Comment 8 Red Hat Bugzilla 2006-09-14 00:45:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0647.html

Note You need to log in before you can comment on or make changes to this bug.